@echo off
setlocal
REM RUNANT_DIR=This directory (which may, or may not, be your current working directory)
set RUNANT_DIR=%~dp0

:studio
REM The root directory of your Studio installation
set STUDIO_DIR=%RUNANT_DIR%..\..\..\..
if not exist "%STUDIO_DIR%"\eclipse\jre  set STUDIO_DIR=%RUNANT_DIR%..\..\..
if not exist "%STUDIO_DIR%"\eclipse\jre  echo ERROR: incorrect STUDIO_DIR=%STUDIO_DIR%
if not exist "%STUDIO_DIR%"\eclipse\jre  goto done

:java
if not $%JAVA_DIR%$==$$ goto workspace
set JAVA_DIR=%STUDIO_DIR%\eclipse\jre\bin

:workspace
if not $%WORKSPACE%$==$$ goto check
REM #######################################################
REM ##### you must edit the "WORKSPACE" setting below #####
REM #######################################################
REM *********** The location of your workspace ************
set WORKSPACE=X:\MyWorkspace

:check
REM ************* The location of your workspace *****************
if not exist "%WORKSPACE%" echo ERROR: incorrect workspace=%WORKSPACE%, edit this runAnt.bat and correct the WORKSPACE envar
if not exist "%WORKSPACE%" goto done

set LOCATIONS=-DSTUDIO.DIR=%STUDIO_DIR% -DSTUDIO.RUNANT=%RUNANT_DIR% -DSTUDIO.WORKSPACE=%WORKSPACE%

:run
@echo on
"%JAVA_DIR%\java" -Dwtp.autotest.noninteractive=true -cp "%STUDIO_DIR%\eclipse\startup.jar" org.eclipse.core.launcher.Main  -application com.ibm.etools.j2ee.ant.RunAnt  -data "%WORKSPACE%"  %*
@if %ERRORLEVEL% EQU 0 goto done
@if %ERRORLEVEL% EQU 13 echo runAnt BUILD FAILED.
@if %ERRORLEVEL% EQU 13 goto done
@if %ERRORLEVEL% EQU 15 echo WORKSPACE is already BEING USED.
@if %ERRORLEVEL% EQU 15 goto done
@if %ERRORLEVEL% EQU 23 echo totally clean (UNINITIALIZED) workspace, it is now setup.  will rerun...
@if %ERRORLEVEL% EQU 23 goto run
@echo runAnt FAILED? (return code %ERRORLEVEL%)
:pause
@pause

:done
